Bug 175340 - Debug code uncompilable
Debug code uncompilable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 19:15 EST by JW
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-15 20:42:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix compile when DEBUG_PARPORT set (672 bytes, patch)
2005-12-08 19:17 EST, JW
no flags Details | Diff

  None (edit)
Description JW 2005-12-08 19:15:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
Compiling parport_pc.c fails if debug code enabled with DEBUG_PARPORT.


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1.make DEBUG_PARPORT=1 drivers/parport/parport_pc.o
2.
3.
  

Actual Results:  error: parport_pc.h:89: unknown ...


Expected Results:  Should have compiled properly of course


Additional info:

See attached patch
Comment 1 JW 2005-12-08 19:17:36 EST
Created attachment 122047 [details]
Patch to fix compile when DEBUG_PARPORT set
Comment 2 Dave Jones 2005-12-10 00:39:39 EST
thanks, I ended up just dropping the cast completely, as it should be unneeded.
I also sent this upstream, so 2.6.15 should have it fixed too.

it'll be in the next errata.

Note You need to log in before you can comment on or make changes to this bug.